Package org.eclipse.emf.cdo.common.util

# Class CDOQueryQueue.BlockingCloseableIteratorImpl

java.lang.Object
org.eclipse.emf.cdo.common.util.CDOQueryQueue.BlockingCloseableIteratorImpl

All Implemented Interfaces:
  `Iterator<E>`, `BlockingCloseableIterator<E>`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.collection.CloseableIterator<E>`

Enclosing class:
  `CDOQueryQueue<E>`

public class CDOQueryQueue.BlockingCloseableIteratorImpl extends Object implements BlockingCloseableIterator<E>
A blocking iterator that takes elements from a `CDOQueryQueue`.

Since:
  2.0
Author:
  Simon McDuff

## Constructor Summary

Constructors
Constructor
Description
`BlockingCloseableIteratorImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`hasNext()`
`boolean`
`isClosed()`
`E`
`next()`
`E`
`peek()`
Non-blocking call.
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### BlockingCloseableIteratorImpl

public BlockingCloseableIteratorImpl()

## Method Details

### peek

public E peek()
Description copied from interface: `BlockingCloseableIterator`
Non-blocking call.

Specified by:
  `peek` in interface `BlockingCloseableIterator<E>`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<E>`

### close

public void close()

Specified by:
  `close` in interface `org.eclipse.net4j.util.collection.Closeable`

### isClosed

public boolean isClosed()

Specified by:
  `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`